package ru.myitschool.work.data.local

import ru.myitschool.work.domain.entities.UserEntity

object UserLocalDataSource {

    private var currentUser: UserEntity? = null

    fun cacheData(user: UserEntity) {
        currentUser = user
    }

    fun getUser(): UserEntity? {
        return currentUser
    }

    fun clear() {
        currentUser = null
    }
}
