package ru.myitschool.work.domain.passes

import ru.myitschool.work.domain.entities.PassEntity

class GetCurrentPassesUseCase(
    private val repository: PassRepository
) {

    suspend operator fun invoke(pageNum: Int, pageSize: Int): Result<List<PassEntity>> =
        repository.getCurrentPasses(pageNum, pageSize)
}