package ru.myitschool.work.domain.user

import ru.myitschool.work.domain.entities.UserEntity

class GetUserByLoginUseCase(
    private val repository: UserRepository
) {

    suspend operator fun invoke(login: String): Result<UserEntity> = repository.getUserByLogin(login)
}