package ru.myitschool.work.ui

import android.os.Bundle
import android.view.View
import com.google.android.material.bottomsheet.BottomSheetDialogFragment
import ru.myitschool.work.R
import ru.myitschool.work.databinding.FragmentNoInternetNotificationBinding
import ru.myitschool.work.utils.isOnline

class NoInternetNotificationFragment: BottomSheetDialogFragment(R.layout.fragment_no_internet_notification) {

    private var _binding: FragmentNoInternetNotificationBinding? = null
    private val binding: FragmentNoInternetNotificationBinding get() = _binding!!

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        _binding = FragmentNoInternetNotificationBinding.bind(view)

        binding.close.setOnClickListener {
            if (isOnline(requireActivity())) dismiss()
        }
    }

    override fun onDestroy() {
        _binding = null
        super.onDestroy()
    }
}