package ru.myitschool.work.data.dto

import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable


@Serializable
data class PassDto(
    @SerialName("localDateTime")
    val time: String?,
    @SerialName("terminal")
    val terminal: TerminalDto?
)

@Serializable
data class TerminalDto(
    @SerialName("type")
    val type: String?,
    @SerialName("name")
    val name: String?
)
